package com.shkj.wms.mapper;

import java.util.List;
import com.shkj.wms.domain.BusinPlcStatus;

/**
 * PLC设备状态Mapper接口
 * 
 * @author zjx
 * @date 2023-10-07
 */
public interface BusinPlcStatusMapper 
{
    /**
     * 查询PLC设备状态
     * 
     * @param id PLC设备状态主键
     * @return PLC设备状态
     */
    public BusinPlcStatus selectBusinPlcStatusById(Long id);

    /**
     * 查询PLC设备状态列表
     * 
     * @param businPlcStatus PLC设备状态
     * @return PLC设备状态集合
     */
    public List<BusinPlcStatus> selectBusinPlcStatusList(BusinPlcStatus businPlcStatus);

    /**
     * 新增PLC设备状态
     * 
     * @param businPlcStatus PLC设备状态
     * @return 结果
     */
    public int insertBusinPlcStatus(BusinPlcStatus businPlcStatus);

    /**
     * 修改PLC设备状态
     * 
     * @param businPlcStatus PLC设备状态
     * @return 结果
     */
    public int updateBusinPlcStatus(BusinPlcStatus businPlcStatus);

    /**
     * 删除PLC设备状态
     * 
     * @param id PLC设备状态主键
     * @return 结果
     */
    public int deleteBusinPlcStatusById(Long id);

    /**
     * 批量删除PLC设备状态
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinPlcStatusByIds(Long[] ids);
}
